body {
      background: rgb(255, 174, 174);
      overflow-x: hidden; 
        /* background: linear-gradient(
          180deg,
          #fb9aad 0%,
          rgb(246, 190, 200) 100%
        );*/
        /* background-image: url('images/mugole_bg_pattern.png'); */
        overflow-x: hidden;
    /* font-family: 'Ysabeau', sans-serif; */
    font-family: 'Montserrat', sans-serif;
}

.hero {
  background: rgb(255, 174, 174);
  background: linear-gradient(
        180deg,
        #fc234bfc 0%,
        rgba(255, 42, 124, 0.98) 100%
      ),
      url('../assets/images/bgpattern.jpg');
  position: relative;
}

.herobg {
  background: rgb(255, 174, 174);
  background: linear-gradient(
        180deg,
        #fc234bfc 0%,
        rgba(255, 42, 124, 0.98) 100%
      ),
      url('../assets/images/bgpattern.jpg');
}

.icon-text-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.icon-text-container i {
  font-size: 20px;
}

.icon-text-container span {
  font-size: 12px;
}

.icon-text-container i {
  margin-bottom: 0.5rem;
}

.btn-round{
  top: 30px;
  border-radius: 100px;
  margin: 0px;
}

.category-card {
    background-color: rgba(255, 255, 255, 0.399);
    padding-block: 15px;
    padding-inline: 15px;
    color: rgb(145, 128, 136);
    margin-bottom: 5px;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 30px;
    border-style: solid;
    border-width: 1px;
    border-color: rgba(241, 207, 207, 0.3);
}

.category-card:hover {
    background-color: rgb(228, 228, 228);
    border-color: rgb(182, 0, 91);
}

.category-card-title{
  color: #670f0f;
  font-weight: 500;
  font-size: 13px;
  margin-bottom: -5px;
}

.category-card-number {
font-weight: 200;
font-size: 12px;
color: #670f0f;
}

.category-card-title-light{
  color: #dedede;
  font-weight: 500;
  font-size: 13px;
  margin-bottom: -5px;
}

.category-card-number-light {
font-weight: 200;
font-size: 12px;
color: #9b9b9b;
}

.dropdown-category-card{
  background-color: rgba(255, 255, 255, 0.399);
  padding-block: 15px;
  padding-inline: 15px;
  color: rgb(145, 128, 136);
  margin-bottom: 5px;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  border-bottom-right-radius: 30px;
  border-style: solid;
  border-width: 1px;
  border-color: rgba(241, 207, 207, 0.3);
}

.dropdown-category-card:hover {
  background-color: rgb(228, 228, 228);
  border-color: rgb(182, 0, 91);
}

.dropdown-category-card a {
  text-decoration: none;  
}

.mugole-link{
  color: #ff2655;
}

.mugole-link:hover {
  color: #a90f54;
}

.mugole-link-light{
  color: #ffcad6;
}

.mugole-link-light:hover {
  color: #ffecf5;
}

.card{
  background: rgb(255, 255, 255);
  border-style: solid;
  border-width: 1px;
  border-color: rgba(237, 29, 154, 0.3);
  color: black;
  transition: all 0.1s;
  width: 100%;
  min-height: 200px;
  padding: 0px;
  cursor: pointer;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
}

.card-elite{
  border: 2px dashed rgb(255, 0, 93);
  background-color: #ff004c41;
}

.card-elite .card-body .card-title {
  font-weight: bold;
}

.card-elite .card-body .card-description {
  color: white;
}

.card-masonry {
  border-bottom-left-radius: 15px;
  border-bottom-right-radius: 15px;
}

.card .img-div-masonry{
  background: rgb(255, 255, 255);
  position: relative;
  display: inline-block;
  overflow: hidden;
  margin: 0;
  transition: all 0.2s ease-in;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}
  
  .card .img-div{
    background: rgb(255, 255, 255);
    width: 100%;
    height: 150px;
    position: relative;
    display: inline-block;
    overflow: hidden;
    margin: 0;
    transition: all 0.2s ease-in;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
  }
  
  .card .img-div img{
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: all 0.2s ease-in;
  }

  .card:hover > .img-div > .card-img-top {
    /* transform: scale(1.1); */
  }
  
  .card-text {
    opacity: 0.5;
  }
  .card-body {
    padding: 10px;
  }

  .card:hover {
    box-shadow: 0px 23px 31px 3px rgba(0,0,0,0.38);
    -webkit-box-shadow: 0px 23px 31px 3px rgba(0,0,0,0.38);
    -moz-box-shadow: 0px 23px 31px 3px rgba(0,0,0,0.38);
  }

  .card:hover > .card-body > .card-title {
    color: #a90f54;
  }

  .card-price{
      padding: 0px;
      margin: 0px;
      font-weight: 600;
      font-size: 15px;
      color: #ff2655;
  }

  .card-title{
      color: #240312;
      margin-bottom: -5px
  }

  .card-description{
    padding-top: 5px;
    font-weight: 400;
    color: #6d6d6d;
  }

  .card-location {
    padding-top: 8px;
    color: #6d6d6d;
  }

  .card-ad-status-dark{
    position: absolute;
    background: linear-gradient(
      180deg,
      #000000fc 0%,
      rgba(0, 0, 0, 0.98) 100%
    );
    color: rgb(255, 227, 232);
    left: 0;
    top: 0;
    padding-inline: 10px;
    padding-bottom: 2px;
    border-bottom-right-radius: 10px;
    border-top-left-radius: 5px;
    font-size: 15px;
  }

  .card-ad-status-success{
    position: absolute;
    background: linear-gradient(
      180deg,
      #13d259fc 0%,
      rgba(4, 120, 53, 0.98) 100%
    );
    color: rgb(255, 227, 232);
    left: 0;
    top: 0;
    padding-inline: 10px;
    padding-bottom: 2px;
    border-bottom-right-radius: 10px;
    border-top-left-radius: 5px;
    font-size: 15px;
  }

  .card-ad-status-danger{
    position: absolute;
    background: linear-gradient(
      180deg,
      #d21339fc 0%,
      rgba(106, 0, 30, 0.98) 100%
    );
    color: rgb(255, 227, 232);
    left: 0;
    top: 0;
    padding-inline: 10px;
    padding-bottom: 2px;
    border-bottom-right-radius: 10px;
    border-top-left-radius: 5px;
    font-size: 15px;
  }

  .card-ad-boost-plan{
    position: absolute;
    background: linear-gradient(
      180deg,
      #fb9781fc 0%,
      rgba(255, 42, 102, 0.98) 100%
    );
    color: rgb(255, 227, 232);
    left: 0;
    top: 0;
    padding-inline: 10px;
    padding-bottom: 2px;
    border-bottom-right-radius: 10px;
    border-top-left-radius: 5px;
    font-size: 15px;
  }

  .card-ad-boost{
    position: absolute;
    background: linear-gradient(
      180deg,
      #ff9d00fc 0%,
      rgba(255, 74, 42, 0.98) 100%
    );
    color: rgb(255, 227, 232);
    right: 0;
    top: 0;
    padding-inline: 10px;
    padding-bottom: 2px;
    border-bottom-left-radius: 10px;
    border-top-right-radius: 5px;
    font-size: 15px;
  }

  .card-ad-boost-icon {
    position: absolute;
    background: linear-gradient(
      180deg,
      #ffffff70 0%,
      rgba(255, 175, 175, 0.348) 100%
    );
    border-radius: 10px;
    width: 30px;
    height: 30px;
    display: flex;
    justify-content: center;
    align-items: center;
    right: 10px;
    bottom: 10px;
  }

  .card-image-count{
      position: absolute;
      background-color: rgba(0, 0, 0, 0.598);
      color: rgb(255, 227, 232);
      left: 0;
      padding-inline: 10px;
      padding-bottom: 2px;
      border-top-right-radius: 10px;
      font-size: 12px;
      bottom: 0px;
  }

  .card-image-save{
    position: absolute;
    background-color: rgb(246, 240, 238);
    color: rgb(255, 7, 52);
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    right: 5px;
    bottom: 5px;
    border-radius: 10px;
  }
  
  .text-shadow{
    text-shadow: 2px 1px #000000;
  }

  .clickable{
    cursor: pointer;
    transition: all 0.2s ease-in;
  }

  .clickable:hover{
    box-shadow: 0px -2px 31px 3px rgba(0,0,0,0.37);
  -webkit-box-shadow: 0px -2px 31px 3px rgba(0,0,0,0.37);
  -moz-box-shadow: 0px -2px 31px 3px rgba(0,0,0,0.37);
  }

  .clickable-image{
    cursor: pointer;
  }

  .clickable-image:hover{
    outline: 2px solid rgb(255, 132, 132);
  }

  .mugole-search{
    font-size: 15px;
    transition: all 0.2s;
    border-top-left-radius: 20px;
    border-bottom-left-radius: 20px;
    padding-left: 20px;
    font-size: 20px;
  }

  .mugole-search:focus{
    border:  4px solid #ff92c3;
  }

  .mugole-search-div{
    transition: all 0.2s;
  }

  #mugole_searchbutton{
    border-top-right-radius: 20px;
    border-bottom-right-radius: 20px;
  }

  .nav-link {
    color: #ff92c3
  }

  .nav-link:hover {
    color: #ffffff
  }

  .dropdown:hover .dropdown-menu {
    display: block;
  }

  .dropend:hover .dropdown-menu {
    display: inline;
    margin-top: 0;
  }

  .dropend .dropdown-menu {
    border: 0.5px solid #e3e3e3;
    border-radius: 2px;
    padding: 15px;
    padding-bottom: 5px;
    width: 300px;
    border-bottom-right-radius: 30px;
    box-shadow: 0px 23px 31px 3px rgba(0,0,0,0.38);
  }

  .mugole-btn-peach-rose-gradient {
    color: white;
    background: rgb(255,173,89);
    background: linear-gradient(180deg, rgba(255,173,89,1) 2%, rgba(255,11,88,1) 53%);
  }

  .mugole-btn-peach-rose-gradient:hover{
    color: rgb(218, 218, 218);
    outline: 2px solid rgb(0, 0, 0);
    outline-offset: 2px;
  }

  .mugole-btn-gold{
    color: black;
    background: rgb(255,184,0);
    background: linear-gradient(90deg, rgba(255,184,0,1) 11%, rgba(255,244,0,1) 43%, rgba(255,196,0,1) 68%);
  }

  .mugole-btn-gold:hover{
    color: black;
    outline: 2px solid white;
    outline-offset: 2px;
  }

  .mugole-btn-light{
    color: black;
    background-color: rgb(255,255,255);
  }

  .mugole-btn-light:hover{
    color: black;
    background-color: rgb(255,255,255);
    outline: 2px solid white;
    outline-offset: 2px;
  }

  .mugole-ad-image-preview-selected{
    width: 100%;
    max-width: 150px;
    aspect-ratio: 1;
    background-color: rgba(0, 0, 0, 0.766);
    border-radius: 20px;     
    outline: 2px solid rgb(143, 143, 143);   
    cursor: pointer;     
  }
  
  .mugole-ad-image-more{
    width: 100%;
    max-width: 150px;
    aspect-ratio: 1;
    background-color: rgba(0, 0, 0, 0.766);
    border-radius: 20px; 
    cursor: pointer;   
    color: white;
    text-align: center;
  }

  .mugole-ad-image-preview{
    width: 100%;
    max-width: 150px;
    aspect-ratio: 1;
    background-color: rgba(0, 0, 0, 0.766);
    border-radius: 20px; 
    cursor: pointer;            
  }

  .mugole-ad-image-preview:hover{
    outline: 3px solid white;
    outline-offset: 2px;
  }

  .mugole-sheet{
    margin-bottom: 50px;
    position: relative;
  }

  .mugole-sheet-light {
    background: rgb(0, 0, 0);
    background: linear-gradient(
      180deg,
      rgba(255, 255, 255, 0.95) 25%,
      rgba(255, 255, 255, 0) 100%
    );
  }

  .product-image-view-div{
    background-color: rgb(50, 50, 50);
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    position: relative;
  }

  .shimmer {
    -webkit-mask:linear-gradient(-60deg,#000 40%,#0005,#000 60%) right/300% 100%;
    animation: shimmer 3s infinite;
  }

  .category-mobile{
    
  }

  .category-mobile:hover{
    opacity: 0.5;
    scale: 0.95;
  }
  
  @keyframes shimmer {
    100% {-webkit-mask-position:left}
  }

  .mugole-gradient-card-primary {
    background: rgb(255,0,47);
    background: linear-gradient(40deg, rgba(255,0,47,1) 23%, rgba(255,63,151,1) 79%);
    padding: 20px;
    border-radius: 20px;
    color: white;
    margin-bottom: 10px;
  }

  .mugole-gradient-card-primary:hover {
    box-shadow: 0px 23px 31px 3px rgba(0,0,0,0.38);
    -webkit-box-shadow: 0px 23px 31px 3px rgba(0,0,0,0.38);
    -moz-box-shadow: 0px 23px 31px 3px rgba(0,0,0,0.38);
  }

  .fancybox__container {
      z-index: 10500;
  }

  #post-first-column {
    -webkit-mask:linear-gradient(-60deg,#000 40%,#0005,#000 60%) right/300% 100%;
    height: 400px;
    cursor: pointer;
  }

  #post-first-column:hover{
   animation: shimmer 1s 1;
  }

  #post-second-column {
    display: flex;
    flex-wrap: wrap;
  }

  #post-second-column>div {
    -webkit-mask:linear-gradient(-60deg,#000 40%,#0005,#000 60%) right/300% 100%;
    background-color: black;
    border-radius: 20px;
    margin: 5px;
    flex: 1;
    min-width: calc(50% - 20px);
    cursor: pointer;
  }

  #post-second-column>div:hover{
   animation: shimmer 1s 1;
  }

  #post-second-column>div:nth-child(n+5) {
    display: none;
}

@media only screen and (max-width: 777px) {
  .hero{
    height: 510px;
  }
  
  .mugole-sheet{
    padding-inline: 15px;
    margin-top: -100px;
  }

  .mugole-sheet-light {
    padding: 15px;
    padding-top: 20px;
    border-top-right-radius: 20px;
    border-top-left-radius: 20px;
    background: linear-gradient(
      180deg,
      rgba(255, 255, 255, 0.95) 55%,
      rgba(255, 255, 255, 0) 100%
    );
  }

  .mugole-heading{
    font-size: 15px;
  }

  .mugole-searchbar-container{
    height: 60px; 
    width: 100%; 
  }

  .product-image-view-div{
    height: 400px;
  }

  .mugole-ad-image-more > div > b{
    font-size: 15px;
  }
  
  .toast-container{
    margin-bottom: 70px;
  }

  .card-img-top {
    margin: 0px;
    top: 0px;
    height: 200px; 
    width: 100%; 
    object-fit: cover;
  }

  #post-first-column {
    overflow: hidden;
    background-color: black;
    border-radius: 10px;
  }
}

@media only screen and (min-width: 778px) {
  .hero{
    height: 350px;
  }

  .mugole-sheet{
    padding-inline: 30px;
    margin-top: -100px;
  }

  .mugole-sheet-light {
    padding: 30px;
    border-top-right-radius: 15px;
  }

  /* .mugole-search-div:hover {
    transform: scale(1.1);
  } */

  .mugole-heading{
    font-size: 20px;
  }

  .mugole-searchbar-container{
    height: 60px; 
    width: 100%; 
    max-width: 700px
  }

  .product-image-view-div{
    height: 550px;
  }

  .mugole-ad-image-more > div > b{
    font-size: 25px;
  }

  .card-img-top {
    height: 100%; 
    width: 100%; 
    object-fit: cover;
  }

  #post-first-column {
    background-color: black;
    border-radius: 20px;
    overflow: hidden;
  }
}

.not-selectable {
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.scrolled-down {
  transform: translateY(100%);
  transition: all 0.3s ease-in-out;
}

.scrolled-up {
  transform: translateY(0);
  transition: all 0.3s ease-in-out;
}

.mugole-btn-fancy {
  --mouse-x: 50;
  --mouse-y: 50;
  padding: 20px 30px;
  background-size: 200% 200%;
  background-position: calc((100 - var(--mouse-x, 0)) * 1%) calc((100 - var(--mouse-y, 0)) * 1%);
  background-image: radial-gradient(circle, rgb(246, 255, 0) 10%, rgb(255, 196, 0) 30%);
  cursor: pointer;
  border: none;
  border-radius: 10px;
  color: black;
}

textarea.form-control:focus,
input[type="text"]:focus,
input[type="password"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="time"]:focus,
input[type="week"]:focus,
input[type="number"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
input[type="tel"]:focus,
input[type="color"]:focus,
.uneditable-input:focus {   
  border-color: rgba(255, 41, 41, 0.8);
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 8px rgba(255, 250, 237, 0.6);
  outline: 0 none;
}